メインコンテンツへスキップ
POST
/
marketing
/
v3
/
marketing-events
/
{objectId}
/
attendance
/
{subscriberState}
/
email-create
マーケティング イベント オブジェクトIDを使用してEメール別に参加者を記録
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/marketing-events/{objectId}/attendance/{subscriberState}/email-create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "contactProperties": {},
      "email": "<string>",
      "interactionDateTime": 123,
      "properties": {}
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "email": "<string>",
      "vid": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須

HubSpotのマーケティングイベントの内部ID。

subscriberState
string
必須

参加の状態の値。「登録」、「出席」、「キャンセル」のいずれかです

ボディ

application/json
inputs
object[]
必須

作成または更新するマーケティングイベントの詳細のリスト

レスポンス

successful operation

completedAt
string<date-time>
必須

リクエストの処理が完了した時点を表すタイムスタンプ

results
object[]
必須
startedAt
string<date-time>
必須

リクエストの処理が開始された時点を表すタイムスタンプ

status
enum<string>
必須

リクエスト処理のステータス

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

リクエストの結果

numErrors
integer<int32>

処理中に発生したエラーの数

requestedAt
string<date-time>

リクエストが行われた時点を表すタイムスタンプ

Last modified on April 13, 2026